Subject: bug#62700: 29.0.60; minibuffer-{previous,next,choose}-completion behave unintuitively when point is not at end of buffer

From: Eli Zaretskii <[email-masked]>
Date: Thu, 20 Apr 2023 22:00:16 +0300

> Cc: [email-masked], Spencer Baugh <[email-masked]>
> From: Spencer Baugh <[email-masked]>
> Date: Thu, 20 Apr 2023 14:46:45 -0400
> 
> Juri Linkov <[email-masked]> writes:
> >>>>> It just needs more testing for different categories of completion.
> >>>>
> >>>> Which categories do you have in mind?
> >>>
> >>> Actually, I can't find categories where it could fail.
> >>> So your patch looks safe to push.
> >>
> >> Can we go ahead and push it to Emacs master, then?  I will work on the
> >> changing-only-new-code backport for Emacs 29 as Eli requested.
> >
> > But your patch changes only new code.
> 
> Ah, I thought Eli still wanted a backport version because this changes
> code which has been on Emacs 29 for over a year.

Indeed, that's what I would like to see on the release branch.  Mainly
because even if this is deemed a bug, it happens in a relatively rare
situation, so I'd like to avoid risking breakage in code which affects
other situations.